EPSTOPDF(1)

NAME
epstopdf, repstopdf - convert an EPS file to PDF

SYNOPSIS
epstopdf [options] [epsfile]

DESCRIPTION
epstopdf transforms the Encapsulated PostScript file epsfile (or standard input) so that it is guaranteed to start at the 0,0 coordinate, and it sets a page size exactly corresponding to the BoundingBox. This means that when Ghostscript renders it, the result needs no cropping, and the PDF MediaBox is correct. By default, the result is piped to Ghostscript and a PDF version written.

If the bounding box is not right, of course, there are problems.

OPTIONS
Options may start with either "-" or "--", and may be unambiguously abbreviated. (It is best to use the full option name in scripts, though, to avoid possible collisions with new options in the future.)

--outfile=file
    write result to file. If this option is not given, and --nogs or --filter is specified, write to standard output; otherwise, the default is to construct the output file name by replacing any extension in the input file with .pdf.

--[no]compress
    use compression (default: on).

--[no]debug
    write debugging info (default: off).

--[no]embed
    embed fonts (default: on).

--[no]exact
    scan ExactBoundingBox (default: off).

--[no]filter
    read standard input and (unless --outfile is given) write standard output(default: off).

--[no]gs
    run Ghostscript (default: on). With --nogs, output (to standard output by default) the PostScript that would normally be converted; that is, the input PostScript as modified by epstopdf.

--[no]hires
    scan HiresBoundingBox (default: off).

--gscmd=val
    pipe output to val (default: [gswin32c on Windows, else gs])

--res=dpi
    set image resolution (default: [use gs default])

--autorotate=val
    set AutoRotatePages (default: None); recognized val choices: None, All, PageByPage. For EPS files, PageByPage is equivalent to All.

--restricted=val
    turn on restricted mode (default: [on for repstopdf, else off]); this forbids the use of --gscmd and imposes restrictions on the input and output file names according to the values of openin_any and openout_any (see the Web2c manual, http://tug.org/web2c).

--help
    display help message and exit

--version
    display version information and exit

EXAMPLES
Examples all equivalently producing "test.pdf":
epstopdf test.eps
cat test.eps | epstopdf --filter >test.pdf
cat test.eps | epstopdf -f -d -o=test.pdf
Example to look for HiResBoundingBox and produce corrected PostScript:
epstopdf -d --nogs --hires test.ps >testcorr.ps

BUGS
The case of "%%BoundingBox: (atend)" when input is not seekable (e.g., from a pipe) is not supported.

Report bugs in the program or this man page to tex-k@tug.org. When reporting bugs, please include an input file and the command line options specified, so the problem can be reproduced.

SEE ALSO
gs(1), pdfcrop(1).

The epstopdf LaTeX package, part of the oberdiek bundle, which automates running this script on the fly under TeX: http://ctan.org/pkg/epstopdf-pkg.

AUTHOR
The script was originally written by Sebastian Rahtz, for Elsevier Science, with subsequent contributions from Thomas Esser, Gerben Wierda and many others. Currently maintained by Karl Berry.

Man page originally written by Jim Van Zandt.

epstopdf home page: http://tug.org/epstopdf.

You may freely use, modify and/or distribute this file.